%define languageenglazy Coptic
%define languagecode    cop
%define lc_ctype        cop_EG

Name:           hunspell-%{languagecode}
Version:        0.3
Release:        %mkrel 12
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3+
Group:          System/Internationalization
# This site is defunct as of 2024
URL:            http://www.moheb.de/coptic_oo.html
Source0:        https://extensions.services.openoffice.org/e-files/793/2/dict-cop_EG_v03.oxt

BuildRequires:  pkgconfig(hunspell)

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in README.txt; do
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p cop_EG-Bohairic/cop_EG.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p cop_EG-Bohairic/cop_EG.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.txt license-gpl.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.3-12.mga10
+ Revision: 2197101
- Mageia 10 Mass Rebuild
+ danf <danf>
- Update links to https:

* Sat Mar 19 2022 umeabot <umeabot> 0.3-11.mga9
+ Revision: 1801311
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.3-10.mga8
+ Revision: 1490919
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.3-9.mga7
+ Revision: 1262678
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.3-8.mga6
+ Revision: 935097
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-7.mga5
+ Revision: 745810
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-6.mga5
+ Revision: 680220
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.3-5.mga4
+ Revision: 505580
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3-4.mga3
+ Revision: 353407
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.3-3.mga3
+ Revision: 325176
- rebuild for Mga3 Beta1

* Sun Feb 12 2012 kamil <kamil> 0.3-2.mga2
+ Revision: 207665
- adapt .spec to the current policies

* Sun Mar 20 2011 dmorgan <dmorgan> 0.3-1.mga1
+ Revision: 75069
- New version 0.3

* Sat Mar 12 2011 dmorgan <dmorgan> 0.2.0-4.mga1
+ Revision: 68694
- imported package hunspell-cop


* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.2.0-3
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 30 2008 Caolan McNamara <caolanm@redhat.com> - 0.2.0-1
- initial version
